Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

POST /v1/public/storefronts/{slug}/checkout

POST/v1/public/storefronts/{slug}/checkout
Path parameters
slugstringrequired
Request body
requiredapplication/json
cart_idstring
customer_namestring
customer_phonestringrequired
itemsStorefrontCheckoutItemInput[] | nullrequired
Show properties
Array of StorefrontCheckoutItemInput
product_slugstringrequired
quantityinteger<int32>required
selected_optionsobject
variant_idstring
promotion_codestring
Responses
201Created
draft_order_idstringrequired
expires_atstringrequired
tokenstringrequired
urlstringrequired
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X POST "/v1/public/storefronts/string/checkout" \
  -H "Content-Type: application/json" \
  -d '{
  "cart_id": "string",
  "customer_name": "string",
  "customer_phone": "string",
  "items": [
    {
      "product_slug": "string",
      "quantity": 0,
      "selected_options": {},
      "variant_id": "string"
    }
  ],
  "promotion_code": "string"
}'
Response
{
  "draft_order_id": "string",
  "expires_at": "string",
  "token": "string",
  "url": "string"
}